PENGADIAN EMAS - Bug #14562

Android[EMAS][REGISTRATION][ACKNOWLEDGEMENT] Cant Share Receipt If Transaction Failed

28 October 2022 02:40 PM - yap chekying

Status: Closed
Priority: Normal
Assignee: ilham ilham
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

28 October 2022

100%
0.00 hour
0.00 hour

Description

Actual Result:
Lihat Resi button displayed when transaction failed.

Expected Result:

Lihat Resi button should not show if transaction failed.
History

#1 - 28 October 2022 03:10 PM - yap chekying
- File Response.jpeg added

- Assignee changed from Cheesen Tan to santhosh Krishna

Santhosh, please help to check this. Response code is 00 but title is Registrasi dan Pembelian Emas Anda Gagal
3:07 & &

P POST /msemas/ Q. <: a

register/submit-reg...

OVERVIEW REQUEST RESPONSE

style-src 'self’, frame-ancestors 'none
Keep-Alive: timeout=60
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Referrer-Policy: no-referrer
Cache-Control: no-cache, no-store, max-age=0,
must-revalidate

Content-Type: application/json
Transfer-Encoding: chunked

Ty T AL A

"responseCode": "00",
"responseMessage": "ok",
"responseData": {
"trxIa": 1,
"title": "Registrasli dan Pembelian Emas
Anda Gagal",
"trxDate": "2022-09-30",
"refNo": "1664524149653123001",
"accountNo": "1230022620001465",
"accountName": "AAA 1230002",
"product™: "TABUNGAN EMAS",
"agent": "Emas”,
"goldPrice": "9000",
"totalGold": "0.0556",
"totalGoldPrice": "50000",
“Tee": "0",
"totalAmount": "50000",
"pawnshopNo": "235354254635"

"pawnshopOutlet": "outlet",
"status": false
#2 - 28 October 2022 05:29 PM - santhosh Krishna

- Assignee changed from santhosh Krishna to Cheesen Tan

refer to "status" field
true: success (show receipt icon)
false: failed (hide receipt icon)

#3 - 31 October 2022 12:06 PM - yap chekying

- Assignee changed from Cheesen Tan to aiman baharum

#4 - 31 October 2022 12:24 PM - Cheesen Tan
- Status changed from New to Resolved
- Assignee changed from aiman baharum to yap chekying

- % Done changed from 0 to 100

please retest

#5 - 18 November 2022 02:37 PM - yap chekying

- Assignee changed from yap chekying to ilham ilham
#6 - 18 November 2022 04:13 PM - ilham ilham

- File Capture73.JPG added

- Status changed from Resolved to Closed

done not there icon & text bagikan resi when transaction is failed

Files

Acknowledgement_Failed.jpeg 44.7 KB 28 October 2022 yap chekying

Response.jpeg 93.3 KB 28 October 2022 yap chekying

Capture73.JPG 35.1 KB 18 November 2022 ilham ilham
